# objects.disconnect

Disconnects a signal from a slot

Usage

    disconnect <source_object> <signal_name> <target_object> <slot_name>

Description
Disconnects the <source_object>'s signal <signal_name> from the <target_object>'s slot <slot_name>. When one of the two objects is destroyed, the signal/slot connection is automatically removed.
Syntax Specification

    disconnect <source_object:hobject> <signal_name:string> <target_object:hobject> <slot_name:string>

See also
class, objects.connect, objects documentation

Index, Commands

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011